Subject: Re: "drop-in replacement" and transpose-words-match
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jan 2016 08:29:41 -0800
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jan 18,  2:25am, Daniel Shahaf wrote:
} 
} Bart Schaefer wrote on Mon, Jan 11, 2016 at 23:32:59 -0800:
} > [if] skip-chars style is set (even to zero), then keep the cursor where
} > it is and split the word, otherwise act like the builtin.  The subword
} > flavor of word-style can similarly be checked.
} 
} That wouldn't let a user have the skip_chars=0 beahaviour for a wider
} context and the "act like the builtin" behaviour for a more specific
} subcontext.

I don't think that's a problem here because the context is ALWAYS
:zle:$WIDGET.  There is no wider or narrower context to consider.